unit Ced;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, DB, DBTables, Grids, DBGrids, ExtCtrls,
  Tabs, Etabset, Buttons, Ebutton, BasicExp, Coral3, Htmlexp, Coral3L,
  GRVExp, Ecombbtn;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    ESpeedButton1: TESpeedButton;
    ESpeedButton3: TESpeedButton;
    ETabSet1: TETabSet;
    Notebook1: TNotebook;
    Memo3: TMemo;
    DBGrid1: TDBGrid;
    Query1: TQuery;
    DataSource1: TDataSource;
    ComboBox1: TComboBox;
    Label1: TLabel;
    Memo1: TMemo;
    Memo2: TMemo;
    Panel2: TPanel;
    ListBox1: TListBox;
    Label2: TLabel;
    Label3: TLabel;
    ListBox2: TListBox;
    SpeedButton1: TSpeedButton;
    Table1: TTable;
    ESpeedButton2: TESpeedButton;
    Panel3: TPanel;
    Image1: TImage;
    Panel4: TPanel;
    ESpeedButton6: TESpeedButton;
    ESpeedButton7: TESpeedButton;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    SpeedButton2: TSpeedButton;
    Coral1: TCoral;
    CoralLevel1: TCoralLevel;
    CoralLevel2: TCoralLevel;
    CoralLevel3: TCoralLevel;
    CoralLevel4: TCoralLevel;
    CoralLevel5: TCoralLevel;
    CoralLevel6: TCoralLevel;
    MemoExporter1: TMemoExporter;
    HTMLExporter1: THTMLExporter;
    EComboButton1: TEComboButton;
    GRVExporter1: TGRVExporter;
    procedure BrowseTables(Sender: TObject);
    procedure GenerateCoral(Sender: TObject);
    procedure GenerateSQL(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure BrowseFields(Sender: TObject);
    procedure StopCoral(Sender: TObject);
    procedure ExitCoral(Sender: TObject);
    procedure LoadCoral(Sender: TObject);
    procedure SaveCoral(Sender: TObject);
    procedure LookDataSQL(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.GenerateCoral(Sender: TObject);
begin
   With Coral1 Do
      Begin
         Case EComboButton1.ItemIndex Of
            0:Exporter:=MemoExporter1;
            1:Exporter:=HTMLExporter1;
            2:Exporter:=GRVExporter1;
         End;{CASE}

         Report:=TStringList(Memo1.Lines);
         DataBaseName:=ComboBox1.Text;
         GenerateReport;
      End;
end;

procedure TForm1.GenerateSQL(Sender: TObject);
begin
   With Query1 Do
      Begin
         If Not Active Then
            Begin
               SQL:=Memo3.Lines;
               DataBaseName:=ComboBox1.Text;
            End;
         Try
            Active:=Not Active;
         Except
         End;{Try}
      End;
end;

procedure TForm1.StopCoral(Sender: TObject);
begin
   Coral1.Stop;
end;

procedure TForm1.ExitCoral(Sender: TObject);
begin
   Close;
end;

{==================================}

procedure TForm1.FormCreate(Sender: TObject);
begin
   {MessageDlg('Shareware TCoral Component, (c)1997 by MAD Soft', mtInformation, [mbOk], 0);}
   Session.GetAliasNames(ComboBox1.Items);
end;

procedure TForm1.BrowseTables(Sender: TObject);
begin
   ListBox1.Items.Clear;
   Session.GetTableNames(ComboBox1.Text,'',True,True,ListBox1.Items);

   ListBox2.Items.Clear;
end;

procedure TForm1.BrowseFields(Sender: TObject);
begin
   Table1.DataBaseName:=ComboBox1.Text;
   Table1.TableName:=ListBox1.Items[ListBox1.ItemIndex];
   Table1.GetFieldNames(ListBox2.Items);
end;

procedure TForm1.LoadCoral(Sender: TObject);
begin
   If OpenDialog1.Execute Then
      Memo1.Lines.LoadFromFile(OpenDialog1.FileName);
end;

procedure TForm1.SaveCoral(Sender: TObject);
begin
   If SaveDialog1.Execute Then
      Memo1.Lines.SaveToFile(SaveDialog1.FileName);
end;

procedure TForm1.LookDataSQL(Sender: TObject);
begin
   Memo3.Clear;
   Memo3.Lines.Add('Select * From "' + ListBox1.Items[ListBox1.ItemIndex] + '"');
end;

end.
